Package org.codehaus.groovy.groovydoc

# Interface GroovyProgramElementDoc

All Superinterfaces:
  `java.lang.Comparable`, `GroovyDoc`

All Known Subinterfaces:
  `GroovyClassDoc`, `GroovyConstructorDoc`, `GroovyExecutableMemberDoc`, `GroovyFieldDoc`, `GroovyMemberDoc`, `GroovyMethodDoc`

All Known Implementing Classes:
  `ArrayClassDocWrapper`, `ExternalGroovyClassDoc`, `SimpleGroovyAbstractableElementDoc`, `SimpleGroovyClassDoc`, `SimpleGroovyConstructorDoc`, `SimpleGroovyExecutableMemberDoc`, `SimpleGroovyFieldDoc`, `SimpleGroovyMemberDoc`, `SimpleGroovyMethodDoc`, `SimpleGroovyProgramElementDoc`

    public interface GroovyProgramElementDoc
    extends GroovyDoc

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `GroovyAnnotationRef[]` | `annotations()` |
  `GroovyClassDoc` | `containingClass()` |
  `GroovyPackageDoc` | `containingPackage()` |
  `boolean` | `isFinal()` |
  `boolean` | `isPackagePrivate()` |
  `boolean` | `isPrivate()` |
  `boolean` | `isProtected()` |
  `boolean` | `isPublic()` |
  `boolean` | `isStatic()` |
  `java.lang.String` | `modifiers()` |
  `int` | `modifierSpecifier()` |
  `java.lang.String` | `qualifiedName()` |

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

  `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

- ## Method Details

  - ### annotations

    GroovyAnnotationRef[] annotations()

  - ### containingClass

    GroovyClassDoc containingClass()

  - ### containingPackage

    GroovyPackageDoc containingPackage()

  - ### isFinal

    boolean isFinal()

  - ### isPackagePrivate

    boolean isPackagePrivate()

  - ### isPrivate

    boolean isPrivate()

  - ### isProtected

    boolean isProtected()

  - ### isPublic

    boolean isPublic()

  - ### isStatic

    boolean isStatic()

  - ### modifiers

    java.lang.String modifiers()

  - ### modifierSpecifier

    int modifierSpecifier()

  - ### qualifiedName

    java.lang.String qualifiedName()